Bug 1262991 - Python package contains many patches that aren't upstreamed
Python package contains many patches that aren't upstreamed
Status: NEW
Product: Fedora
Classification: Fedora
Component: python (Show other bugs)
27
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Charalampos Stratakis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-14 16:20 EDT by Conrad Meyer
Modified: 2017-08-15 04:28 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Petr Viktorin 2015-09-15 04:34:56 EDT
Note that 2.7 is in extended maintenance mode upstream, which means minor features can't be added any more.

If the python3 version of the patch is already upstream, it's most likely not applicable for 2.7 (i.e. upstream has already seen it and decided it's py3 only).

So if anyone wants to take this, I'd recommend starting with the patches in python3: http://pkgs.fedoraproject.org/cgit/python3.git/tree/python3.spec
(note that py2/py3 patches are still synchronized)
Comment 2 Fedora Admin XMLRPC Client 2016-01-29 08:04:25 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Jan Kurik 2016-02-24 08:45:08 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 4 Fedora End Of Life 2017-07-25 15:16:38 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 5 Petr Viktorin 2017-07-26 05:38:46 EDT
This issue still exists, but it's unlikely to be fixed until Python 2 goes away -- there are more important things to do around Python.

Still, if anyone would like to help upstreaming patches, feel free. I recommend focusing on Python 3, though.
Comment 6 Jan Kurik 2017-08-15 04:28:39 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Note You need to log in before you can comment on or make changes to this bug.